Appearance
time-tracking-timestamps
Manage time tracking timestamps
Operations
POST/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-outGET/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/{inOutUuid}DELETE/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/{inOutUuid}PATCH/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/{inOutUuid}GET/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/currently-openGET/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/open-daysPOST/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/timestamp-event
Add timestamp
POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out
Add a timestamp for an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "date": "string", "startTime": "string", "endTime": "string", "comment": "string", "device": "string"
{
}
Responses
Successful response
application/json
JSON "data": { "uuid": "string", "date": "string", "startTime": "string", "endTime": "string", "startDateTime": "2024-01-14T20:20:00", "endDateTime": "2024-01-14T21:00:00", "startDevice": "string", "endDevice": "string", "type": "string", "comment": "string", "isClosed": true, "closedAt": "string", "closedAtDateTime": "2024-01-31T13:00:00", "duration": { "hours": "string", "minutes": "string" }, "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 201, "meta": { }
{
}
Get timestamp
GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/{inOutUuid}
Get the timestamp of an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"inOutUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "date": "string", "startTime": "string", "endTime": "string", "startDateTime": "2024-01-14T20:20:00", "endDateTime": "2024-01-14T21:00:00", "startDevice": "string", "endDevice": "string", "type": "string", "comment": "string", "isClosed": true, "closedAt": "string", "closedAtDateTime": "2024-01-31T13:00:00", "duration": { "hours": "string", "minutes": "string" }, "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Delete timestamp
DELETE
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/{inOutUuid}
Delete a timestamp for an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"inOutUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
Update timestamp
PATCH
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/{inOutUuid}
Update a timestamp for an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"inOutUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "date": "string", "startTime": "string", "endTime": "string", "comment": "string", "device": "string"
{
}
Responses
Successful response
application/json
JSON "data": { "uuid": "string", "date": "string", "startTime": "string", "endTime": "string", "startDateTime": "2024-01-14T20:20:00", "endDateTime": "2024-01-14T21:00:00", "startDevice": "string", "endDevice": "string", "type": "string", "comment": "string", "isClosed": true, "closedAt": "string", "closedAtDateTime": "2024-01-31T13:00:00", "duration": { "hours": "string", "minutes": "string" }, "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Get currently open timestamp
GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/currently-open
Get the relevant currently open timestamp of an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Responses
Successful response
application/json
JSON "data": { "uuid": "string", "date": "string", "startTime": "string", "endTime": "string", "startDateTime": "2024-01-14T20:20:00", "endDateTime": "2024-01-14T21:00:00", "startDevice": "string", "endDevice": "string", "type": "string", "comment": "string", "isClosed": true, "closedAt": "string", "closedAtDateTime": "2024-01-31T13:00:00", "duration": { "hours": "string", "minutes": "string" }, "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}
Get past days with open timestamps
GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/open-days
Get past days of an employee that have open timestamps
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Query Parameters
date
Type
[
"string",
"null"
]
Format
"date"Default
nullResponses
Successful response
application/json
JSON "data": [ "string" ], "message": "string", "status": 200, "meta": { }
{
}
Add timestamp event
POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out/timestamp-event
Process a start or stop timestamp event
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "dateTime": "2024-01-14T20:20:00", "eventType": "string", "device": "string"
{
}
Responses
Successfully processed
application/json
JSON "data": { "uuid": "string", "date": "string", "startTime": "string", "endTime": "string", "startDateTime": "2024-01-14T20:20:00", "endDateTime": "2024-01-14T21:00:00", "startDevice": "string", "endDevice": "string", "type": "string", "comment": "string", "isClosed": true, "closedAt": "string", "closedAtDateTime": "2024-01-31T13:00:00", "duration": { "hours": "string", "minutes": "string" }, "createdAt": "string", "updatedAt": "string" }, "message": "string", "status": 200, "meta": { }
{
}